
D4Science Infrastructure - Task #569

Create Redirections from old ticketing instance to new Redmine installation

Sep 08, 2015 03:36 PM - Luca Frosini

Status: Closed Start date: Sep 08, 2015

Priority: Normal Due date: Oct 16, 2015

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: Redmine management   

Infrastructure: Production   

Description

Now that task #172 is closed we should think about creating some permanent redirections (Permanently moved) if possible

Mainly

support.d4science.research-infrastructures.eu -> https://support.d4science.org

Then and looking to this dismissed instances

issue.d4science-ii.research-infrastructures.eu

issue.hope.research-infrastructures.eu

issue.eubrazilopenbio.research-infrastructures.eu

issue.authfile.driver.research-infrastructures.eu

issue.r2d2.research-infrastructures.eu

if has sense and possible we could create something like the following rule:

issue.*.research-infrastructures.eu -> https://support.d4science.org/

Still to be decided if leave https://support.gcube-system.org/ as an alias or redirect to -> https://support.d4science.org/projects/gcube

Pasquale Pagano what about this redirections.

History

#1 - Oct 08, 2015 04:45 PM - Luca Frosini

- Target version changed from UnSprintable to Redmine management

#2 - Oct 08, 2015 04:46 PM - Luca Frosini

- Priority changed from Low to Normal

#3 - Oct 08, 2015 04:47 PM - Luca Frosini

- Due date changed from Sep 30, 2015 to Oct 16, 2015

Please take care of this ticket. The deadline was passed. I postponed it but please take care of it.

#4 - Oct 14, 2015 04:02 PM - Andrea Dell'Amico

- Status changed from New to In Progress

support.d4science.research-infrastructures.eu -> https://support.d4science.org

 This one is already present as a server alias. We can add a redirection too. Mind that the redirections do not solve the problem with missing

certificates, and the GARR is still stuck on its CA provider renewal negotiations it seems.

Then and looking to this dismissed instances

issue.hope.research-infrastructures.eu

issue.authfile.driver.research-infrastructures.eu

 Do we really need to maintain those hostnames? These projects where closed a long time ago.

if has sense and possible we could create something like the following rule:

issue.*.research-infrastructures.eu -> https://support.d4science.org/
 I hope that we shall not create new issue.*.research-infrastructures.eu hosts :)

Still to be decided if leave https://support.gcube-system.org/ as an alias or redirect to -> https://support.d4science.org/projects/gcube

 Did you take a decision about it? The host has its virtual host, right now.

#5 - Oct 14, 2015 04:18 PM - Luca Frosini

In my opinion we avoid to add old redirections.

Regarding https://support.gcube-system.org/ with https is there are no security issues we can use permanently moved to 

https://support.d4science.org/projects/gcube

#6 - Oct 14, 2015 04:24 PM - Andrea Dell'Amico

Luca Frosini wrote:

In my opinion we avoid to add old redirections.

Regarding https://support.gcube-system.org/ with https is there are no security issues we can use permanently moved to 

https://support.d4science.org/projects/gcube

 Why not https://support.gcube-system.org/projects/gcube ?

support.gcube-system.org already has a valid certificate. The problem of the other hostnames is that the browser will send a warning before

redirecting to support.d4science.org.

#7 - Oct 14, 2015 04:34 PM - Luca Frosini

Andrea Dell'Amico wrote:

Why not https://support.gcube-system.org/projects/gcube ?

 Just because the user has to login again and this can cause requests for credentials.

#8 - Oct 14, 2015 05:41 PM - Andrea Dell'Amico

Done. Test it, I used some rewrite rules to handle the / case differently to the general one to not fail when a complete URL is called ( 

http://support.gcube-system.org/ vs https://support.gcube-system.org/issues/569#change-3939 for example)

#9 - Oct 14, 2015 05:41 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

#10 - Oct 14, 2015 05:59 PM - Luca Frosini

Seems working.

@pasquale.pagano@isti.cnr.it can you close the ticket if is ok for you as well

#11 - Oct 15, 2015 10:47 AM - Pasquale Pagano

Should support.d4science.org be redirected to https://support.d4science.org/projects/d4science? 

#12 - Oct 15, 2015 10:54 AM - Luca Frosini

I don't think so, otherwise we can't reach the redmine home anymore.

Did you mean:

issue.d4science.org ->  https://support.d4science.org/projects/d4science

#13 - Oct 15, 2015 11:04 AM - Pasquale Pagano

support.d4science.org is the link for people wishing to ask for support on d4science. Why they should go to the home? Then, what they should do?

They should select a project ..

#14 - Oct 15, 2015 11:08 AM - Andrea Dell'Amico

Pasquale Pagano wrote:

support.d4science.org is the link for people wishing to ask for support on d4science. Why they should go to the home? Then, what they should

do? They should select a project ..
 I agree, but we should have a way to the home page IMO. Leaving redmine.d4science.org for it, maybe?

#15 - Oct 15, 2015 11:18 AM - Pasquale Pagano

ok.

so support.d4science.org -> https://support.d4science.org/projects/d4science

and redmine.d4science.org -> https://support.d4science.org

#16 - Oct 16, 2015 03:34 PM - Andrea Dell'Amico

Done. The only way to get the root of the site is using the address https://redmine.d4science.org (it will give warnings about the certificate).

#17 - Oct 20, 2015 05:15 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed
